Recupera un único proyecto por su identificador.
Respuestas
-
Versión de API no compatible o con formato incorrecto, operación no disponible en el contrato publicado seleccionado o representación inaceptable (incluidos parámetros de tipo de medio no compatibles o SSE excluidos). Los fallos de autenticación, autorización y límite de velocidad existentes tienen prioridad.
-
OK
-
Solicitud incorrecta
-
No encontrado
-
Error interno del servidor
GET /api/v1/projects/{id}
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}' \
--header "Authorization: $API_KEY"
Ejemplos de respuesta (406)
Operación no disponible
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Ejemplos de respuesta (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Ejemplos de respuesta (200)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
Ejemplos de respuesta (200)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
Ejemplos de respuesta (400)
{
"code": "string",
"error": "string",
"success": true
}
Ejemplos de respuesta (400)
{
"code": "string",
"error": "string",
"success": true
}
Ejemplos de respuesta (404)
{
"code": "string",
"error": "string",
"success": true
}
Ejemplos de respuesta (404)
{
"code": "string",
"error": "string",
"success": true
}
Ejemplos de respuesta (500)
{
"code": "string",
"error": "string",
"success": true
}
Ejemplos de respuesta (500)
{
"code": "string",
"error": "string",
"success": true
}